// creator  : weidu.exe (version 23100)
// argument : SHOP2.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SHOP2~

IF ~Global("ArnolinusInsult","AR0700",0)
~ THEN BEGIN 0 // from:
  SAY #15854 /* ~Gah!  Must Arnolinus being disturbed at every opportunity?!  What is it you being wanting?~ */
  IF ~~ THEN REPLY #15857 /* ~What manner of shop is this?~ */ GOTO 2
  IF ~~ THEN REPLY #15858 /* ~I would like to take a look at your goods.~ */ GOTO 3
  IF ~~ THEN REPLY #15864 /* ~What kind of name is Arnolinus?~ */ GOTO 4
  IF ~~ THEN REPLY #15861 /* ~Nothing, I'll be on my way.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 4.2 2.2 0.3
  SAY #15862 /* ~Well, ye won't being finding Arnolinus bawling like a human brat at yer loss, now.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #15863 /* ~From the iron ingots, the coals and the anvil Arnolinus might be saying this here be an armory.  But Arnolinus could being wrong, since he nay be as smart as ye.~ */
  IF ~~ THEN REPLY #15867 /* ~Very cute.  Show me what armor you have available, then.~ */ GOTO 3
  IF ~~ THEN REPLY #15868 /* ~Well, that's true.  I can't say I've ever seen a more ignorant dwarf.  You may as well show me what you have in stock.~ */ EXIT
  IF ~~ THEN REPLY #15869 /* ~I see.  Well, I'm not interested in anything.~ */ GOTO 1
END

IF ~~ THEN BEGIN 3 // from: 4.0 2.0 0.1
  SAY #15865 /* ~Ar, why ye nay be saying so when ye first coming?!  Everyone always being wasting Arnolinus' time!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.2
  SAY #15866 /* ~Arnolinus be a fine dwarven name.  If ye being taking issue with that, mayhap ye nay be buying me armor.  Arnolinus nay being needing to sell it to ye.~ */
  IF ~~ THEN REPLY #15871 /* ~I'm always interested in good quality armor.  Let me see what you have.~ */ GOTO 3
  IF ~~ THEN REPLY #15872 /* ~Well, not only are you oddly-named, but you're a poor merchant, as well.  Let's see what you have in stock, anyway.~ */ GOTO 5
  IF ~~ THEN REPLY #15875 /* ~And I don't need to be purchasing it.~ */ GOTO 1
END

IF ~~ THEN BEGIN 5 // from: 4.1
  SAY #15870 /* ~Arnolinus will nay being taking insult from you, <RACE>!  Begone, and being you nay coming again!~ */
  IF ~~ THEN DO ~SetGlobal("ArnolinusInsult","AR0700",1)
~ EXIT
END

IF ~Global("ArnolinusInsult","AR0700",1)
~ THEN BEGIN 6 // from:
  SAY #15877 /* ~It be ye!  Arnolinus nay being selling any of his armors to the likes of you, <RACE>!  Begone!~ */
  IF ~~ THEN REPLY #15899 /* ~I was wrong in insulting you, Arnolinus.  Please accept my most humble apology.~ */ GOTO 10
  IF ~~ THEN REPLY #15900 /* ~Come, come.  Don't hold a grudge with me, I meant nothing.  I really would like to see your stock of armor.~ */ GOTO 9
  IF ~~ THEN REPLY #15904 /* ~Alright, I'm leaving.~ */ GOTO 8
  IF ~~ THEN REPLY #15901 /* ~Fine, you dwarven lout.  I've no need to deal with you, either.~ */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.3
  SAY #15902 /* ~Bah!  Again!  Ye being adding insult to insult!  Arnolinus is being outraged!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from: 6.2
  SAY #15905 /* ~Begone!  Begone is saying Arnolinus!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 9 // from: 6.1
  SAY #15906 /* ~Nay!  Arnolinus is being thinking you an arrogant piece of cracked ore!  Arnolinus will nay being dealing with you!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 10 // from: 6.0
  SAY #15907 /* ~Hmmph.  Hm.  Arnolinus being reluctantly accepting your apology, <RACE>.  Ye may being looking at Arnolinus' armors, but only if ye not being staring too long.~ */
  IF ~~ THEN DO ~SetGlobal("ArnolinusInsult","AR0700",0)
~ EXIT
END
